> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 특정 Comfy 노드 업데이트



## OpenAPI

````yaml /openapi/registry.ko.yaml put /nodes/{nodeId}/versions/{version}/comfy-nodes/{comfyNodeName}
openapi: 3.0.2
info:
  title: Comfy API
  version: '1.0'
servers:
  - url: https://api.comfy.org
security: []
paths:
  /nodes/{nodeId}/versions/{version}/comfy-nodes/{comfyNodeName}:
    put:
      tags:
        - Registry
      summary: 특정 Comfy 노드 업데이트
      operationId: UpdateComfyNode
      parameters:
        - in: path
          name: nodeId
          required: true
          schema:
            type: string
        - in: path
          name: version
          required: true
          schema:
            type: string
        - in: path
          name: comfyNodeName
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComfyNodeUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComfyNode'
          description: Comfy 노드 업데이트 성공
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 잘못된 요청, 잘못된 입력 데이터
        '401':
          description: 인증되지 않음
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 금지됨
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Comfy 노드를 찾을 수 없음
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: 내부 서버 오류
components:
  schemas:
    ComfyNodeUpdateRequest:
      properties:
        category:
          description: 노드가 나열되는 UI 카테고리로, 노드 그룹화에 사용됩니다.
          type: string
        deprecated:
          description: 노드의 지원 중단 여부를 나타냅니다. 지원 중단된 노드는 UI에서 숨겨집니다.
          type: boolean
        description:
          description: 노드의 기능이나 목적에 대한 간략한 설명입니다.
          type: string
        experimental:
          description: 노드의 실험적 여부를 나타내며, 변경 또는 제거될 수 있습니다.
          type: boolean
        function:
          description: 노드를 실행하기 위한 진입점 함수의 이름입니다.
          type: string
        input_types:
          description: 입력 파라미터를 정의합니다.
          type: string
        output_is_list:
          description: 각 출력이 리스트인지 여부를 나타내는 논리값입니다.
          items:
            type: boolean
          type: array
        policy:
          $ref: '#/components/schemas/ComfyNodePolicy'
        return_names:
          description: 워크플로에서 명확성을 위한 출력 이름입니다.
          type: string
        return_types:
          description: 노드가 생성하는 출력 유형을 지정합니다.
          type: string
      type: object
    ComfyNode:
      properties:
        category:
          description: 노드가 나열된 UI 카테고리로, 노드를 그룹화하는 데 사용됩니다.
          type: string
        comfy_node_name:
          description: 노드의 고유 식별자
          type: string
        deprecated:
          description: 노드가 지원 중단되었는지 나타냅니다. 지원 중단된 노드는 UI에서 숨겨집니다.
          type: boolean
        description:
          description: 노드의 기능 또는 목적에 대한 간략한 설명.
          type: string
        experimental:
          description: 노드가 실험적인지 나타냅니다. 변경 또는 제거될 수 있습니다.
          type: boolean
        function:
          description: 노드를 실행하기 위한 진입점 함수의 이름.
          type: string
        input_types:
          description: 입력 파라미터를 정의합니다.
          type: string
        output_is_list:
          description: 각 출력이 목록인지 나타내는 논리값.
          items:
            type: boolean
          type: array
        policy:
          $ref: '#/components/schemas/ComfyNodePolicy'
        return_names:
          description: 워크플로에서 명확성을 위한 출력 이름.
          type: string
        return_types:
          description: 노드가 생성하는 출력 유형을 지정합니다.
          type: string
      type: object
    ErrorResponse:
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
      type: object
    ComfyNodePolicy:
      enum:
        - ComfyNodePolicyActive
        - ComfyNodePolicyBanned
        - ComfyNodePolicyLocalOnly
      type: string

````